> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Organizations

> List all the organizations for a given Environment.



## OpenAPI

````yaml get /provisioning/organizations
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - description: Production API (US)
    url: https://api.leen.dev/v1
  - description: Production API (EU)
    url: https://api.eu-c1.leen.dev/v1
  - description: Production API (APAC)
    url: https://api.ap-se2.leen.dev/v1
security: []
paths:
  /provisioning/organizations:
    get:
      tags:
        - provisioning
      summary: List Organizations
      description: List all the organizations for a given Environment.
      operationId: list_organizations
      parameters:
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            minimum: 0
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            title: Offset
            type: integer
        - description: Equality Filter Organization name
          in: query
          name: name
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Equality Filter Organization name
            title: Name
        - description: Equality Filter Organization identifier
          in: query
          name: identifier
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Equality Filter Organization identifier
            title: Identifier
        - description: Equality Filter Organization ID
          in: query
          name: id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            description: Equality Filter Organization ID
            title: Id
        - description: >-
            Search Filter Organization name or identifier or id case insensitive
            partial match
          in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Search Filter Organization name or identifier or id case
              insensitive partial match
            title: Search
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/OffsetPaginatedResponse_OrganizationWithConnectionCountRespModel_
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - API-Key: []
components:
  schemas:
    OffsetPaginatedResponse_OrganizationWithConnectionCountRespModel_:
      properties:
        count:
          description: Number of items return in the response
          title: Count
          type: integer
        items:
          description: The records on this page.
          items:
            $ref: '#/components/schemas/OrganizationWithConnectionCountRespModel'
          title: Items
          type: array
        total:
          anyOf:
            - type: integer
            - type: 'null'
          description: Total number of items that can be returned
          title: Total
      required:
        - count
        - items
      title: OffsetPaginatedResponse[OrganizationWithConnectionCountRespModel]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    OrganizationWithConnectionCountRespModel:
      properties:
        connection_count:
          description: >-
            How many connections belong to this organization, soft-deleted ones
            excluded.
          title: Connection Count
          type: integer
        id:
          description: Leen's identifier for this organization.
          format: uuid
          title: Id
          type: string
        identifier:
          description: >-
            Your own key for this organization. Unique within your environment,
            so it is what to match on when reconciling against your own records.
          title: Identifier
          type: string
        name:
          description: Display name, as you set it.
          title: Name
          type: string
      required:
        - id
        - name
        - identifier
        - connection_count
      title: Organization
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    API-Key:
      in: header
      name: X-API-KEY
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.